"""
Exception classes used in txFluidDB.
"""
class InvalidName(ValueError):
    """
    An invalid name was used in a path.
    """


class UnsupportedEncoding(RuntimeError):
    """
    FluidDB returned a value encoded in an unsupported encoding.
    """
